#ifndef RENAMEDIALOG_H
#define RENAMEDIALOG_H

#include <QDialog>

#include <QWidget>

namespace Ui {
class RenameDialog;
}

class VerificationWidget;

class RenameDialog : public QDialog {
private:
  VerificationWidget *m_verificationWidget;
  Ui::RenameDialog *m_ui;

private:
  void done(int resultCode) override;

public:
  RenameDialog(const QString &reference, QWidget *parent = nullptr,
               Qt::WindowFlags f = Qt::WindowFlags());
  ~RenameDialog();

private:
  void createWidgets();
  void configureConnections();

private:
  void toggleLineEditFocus(bool checkPassed);

public:
  void setReference(const QString &reference);
  void setTopText(const QString &value);
  QString newValue();
};

#endif // RENAMEDIALOG_H
